#+############################################################################
# File:        aliases.csh
# Description: This file can be used for local [t]csh aliases
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/CN/DCI) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.1.2 compiled for alpha_osf32c on Tue Jul  1 17:43:42 1997
#-############################################################################

# Set some aliases
#-----------------
alias   h               history
alias   l               /bin/ls -lt
alias   lf              /bin/ls -CF
alias   terminal        'setenv TERM `/bin/tset - \!*`'




# Provide some VM support for users who 
# have a .hepix/vm file in their home directory
#----------------------------------------
if ( -r "$HOME/.hepix/vm" ) then
   if ( -r "${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/site/vm.aliases.csh" ) then
      source ${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/site/vm.aliases.csh
   endif
endif


# Set System customisations.
#---------------------------
if ( -r /etc/hepix/aliases.csh ) then
   source /etc/hepix/aliases.csh
endif

# Set Cluster customisations.
#----------------------------
if ( -r /etc/hepix/cluster/aliases.csh ) then
   source /etc/hepix/cluster/aliases.csh
endif

# Set group customisations.
#--------------------------
if ( -r $GROUP_DIR/group_aliases.csh ) then
   source $GROUP_DIR/group_aliases.csh
endif



