#+############################################################################
# File:        aliases.sh
# Description: This file can be used for local Bourne shell aliases
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/CN/DCI) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.1.2 compiled for alpha_osf32c on Tue Jul  1 17:43:43 1997
#-############################################################################

# Set some functions
#-------------------
h()
{
   history
}

l()
{
   /bin/ls -lt "${*}"
}

lf()
{
   /bin/ls -CF "${*}"
}

terminal()
{
   TERM=`/bin/tset - "${*}"`; export TERM
}



# Provide some VM support for users who have a .hepix/vm file in their 
# home directory
#---------------------------------------------------------------------
if [ -r "$HOME/.hepix/vm" ]; then
   if [ -r "${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/site/vm.aliases.sh" ]; then
      . ${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/site/vm.aliases.sh
   fi
fi

# Set System customisations.
#---------------------------
if [ -r /etc/hepix/aliases.sh ]; then
   . /etc/hepix/aliases.sh
fi

# Set Cluster customisations.
#----------------------------
if [ -r /etc/hepix/cluster/aliases.sh ]; then
   . /etc/hepix/cluster/aliases.sh
fi

# Set Group customisations.
#--------------------------
if [ -r $GROUP_DIR/group_aliases.sh ]; then
   . $GROUP_DIR/group_aliases.sh
fi


