#+############################################################################
# File:        env.sh
# Description: This file can be used for site environment adaptions. It is used by the Bourne shells.
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/CN/DCI) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.1.2 compiled for alpha_osf32c on Wed Jul  2 15:09:28 1997
#-############################################################################

# Set the YP variable
#--------------------
if [ !  -z "$DOMAINNAME" ]; then
   if [ "$DOMAINNAME" != "" ]; then
      YP=YES; export YP
   fi
fi
unset DOMAINNAME

# Remove any .rfassign file.
#---------------------------
if [ -r "$RFASSIGN" ]; then
   /bin/rm -f $RFASSIGN
fi

# Provide some VM support for users who have a .hepix/vm file in their 
# home directory
#----------------------------------------------------------------------
if [ -r "$HOME/.hepix/vm" ]; then
   if [ -r "${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/site/vm.env.sh" ]; then
      . ${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/site/vm.env.sh
   fi
fi


# Set System customisations.
#---------------------------
if [ -r /etc/hepix/env.sh ]; then
   . /etc/hepix/env.sh
fi

# Set Cluster customisations.
#----------------------------
if [ -r /etc/hepix/cluster/env.sh ]; then
   . /etc/hepix/cluster/env.sh
fi

# Set Group customisations.
#--------------------------
if [ -r $GROUP_DIR/group_env.sh ]; then
   . $GROUP_DIR/group_env.sh
fi



# Eval the path.
#---------------
PATH=`eval echo $PATH`; export PATH;
if [ "$GROUPPATH" = "__NONE__" ]; then
   PATH1=`echo $PATH | /bin/sed "s/\$GROUPPATH://"`; export PATH1;
   PATH=`eval echo $PATH1`;export PATH;
   unset PATH1
fi
PATH=`eval echo $PATH`; export PATH;
unset GROUPPATH

# Eval the MANPATH
#-----------------
MANPATH=`eval echo $MANPATH`
MANPATH=`eval echo $MANPATH`
if [ "$GROUPMANPATH" = "__NONE__" ]; then
   MANPATH=`echo $MANPATH | /bin/sed -e 's/__NONE__\://'`;
fi
MANPATH=`echo $MANPATH | /bin/tr " " ":"`
unset GROUPMANPATH


