#!/usr/local/bin/perl

#use strict;

my $arg = $ARGV[0];
my $cacheinfo;
if (-e "/usr/vice/etc/cacheinfo") {
  $cacheinfo = "/usr/vice/etc/cacheinfo";
} else {
  print "/usr/vice/etc/cacheinfo file not found!\n";
}
my $UNAME = `uname -s`;
chomp($UNAME);
my $max_percent = 90;
my $good_percent = 85;
my $version;
my $version_v;
my $version_r;
my $df_opt;

if ($UNAME eq "AIX") {
  $max_percent = 85;
  $good_percent = 80;
  $version_v = `uname -v`;
  chomp($version_v);
  $version_r = `uname -r`;
  chomp($version_r);
  $version = "rs_aix" . $version_v . $version_r;
  if ($version eq "rs_aix32") {
    $df_opt = "";
  } else  {
    $df_opt = "-k";
  }
}

my $good_size;
my $temp;

if ($arg ne "") {
  if ($arg =~ /^\d+$/) {
    $temp = ($good_percent * $arg) / 100 + 0.5;
    $good_size = (split(/\./, $temp))[0];
    print "For $good_percent \% you should set cache size to: $good_size\n";
    print "Recommended contents of $cacheinfo:\n";
    print "/afs:/usr/vice/cache:$good_size\n";
  } else {
    print "Error! Non-numeric argument\n";
  }
  exit 1;
}

if (!(-s $cacheinfo)) {
  print "Error! missing cacheinfo file: $cacheinfo\n";
  exit 1;
}
  
  open (CACHE, $cacheinfo);
  my $curr_cache = <CACHE>;
  chomp($curr_cache);
  close(CACHE); 

  my @cache = split(/:/,$curr_cache);

  if (!(-d $cache[1])) {
     print "Error! No such derectory: $cache[1]\n";
     exit 1;
  }

my @temp = `df $df_opt $cache[1]`;
my $cache_fs_size = (split(/\s+/, $temp[1]))[1];
my $i;
my @temp1;

my $percent = ($cache[2] * 100) / $cache_fs_size + 0.5; 
$percent = (split(/\./,$percent))[0];
my $mach = `uname -n`;
chomp($mach);
my $AFS_Base = `strings /usr/vice/etc/afsd | grep \'Base conf\'`;
chomp($AFS_Base);
my @AFS_version = split(/\s+/,$AFS_Base);
my $part_fstab = `grep /usr/vice/cache /etc/fstab`;
chomp($part_fstab);
$part_fstab = (split(/\s+/,$part_fstab))[0];
my $part_df = `df /usr/vice/cache|grep /dev`;
chomp($part_df);
$part_df = (split(/\s+/,$part_df))[0];
my $separate;

if ($part_fstab eq $part_df) {
   $separate = "/usr/vice/cache is on separate partition $part_df";
} else {
   $separate = "/usr/vice/cache is NOT ON SEPARATE PARTITION!!!";
}

print "Machine name:            $mach\n";
print "AFS version:             $AFS_version[2] $AFS_version[3]\n";
print "AFS cache name:          $cache[1]\n";
print "cacheinfo cache size:    $cache[2] KB    $percent\%\n";
print "Actual cache size:       $cache_fs_size KB   100\%\n";
print "$separate\n";

my @proc = `ps ax|grep afsd`;
#my @abc = grep(/\(/,@proc);
my $num = @proc - 2;
$temp = `ls -ld $cache[1]`;
my $cache_perms = (split(/\s+/,$temp))[0];

if ($cache_perms ne "drwx------") {
  print "Warning! Invalid permissions on cache \(should be \"drwx------\"\):\n";
  print "ls -ld $cache_name\n";
  print "$temp";
}

if ($percent <= $max_percent) {
  print "AFS cache is correctly sized at < $max_percent\% of cache filesystem\n";
#  exit 0;
} else {
  $good_size = ($good_percent * $cache_fs_size) / 100;
  $good_size = (split(/\./,$good_size))[0];
  print "In $cacheinfo, your cache size exceeds $max_percent% of $cache[1].\n";
  print "Your cache filesystem, $cache_name, is $cache_fs_size KB.
For $good_percent%, you should set cache size to: $good_size.

Current contents of $cacheinfo:
$curr_cache

Recommended contents of $cacheinfo:
/afs:/usr/vice/cache:$good_size\n\n";
}

my $com_dir = "/afs/rhic/\@sys/usr/afsws/bin";
my $sysname = `$com_dir/fs sysname`;
chomp($sysname);
if ($sysname ne "") {
  $sysname = (split(/\'/,$sysname))[1];
  print "\nCurrent sysname:         $sysname\n";
} else {
  print "sysname is not set! You may include \'fs sysname <Your system name>\'
into afs.rc file.\n"
}

my $afsws = `ls -la /usr/afsws`;
chomp($afsws);

if ($afsws =~ /No such file or directory/) {
  print "/usr/afsws is not set! Please make link\n
/usr/afsws -> /afs/rhic/\@sys/usr/afsws\n";

} elsif ($afsws =~ /$sysname/) {
  print "/usr/afsws points to the correct architecture $sysname:
/usr/afsws -> /afs/rhic/$sysname/usr/afsws
But it is recommended to have AFS \@sys variable included in the path:
/usr/afsws -> /afs/rhic/\@sys/usr/afsws\n";
} elsif ($afsws =~ /\@sys/) {
  print "/usr/afsws link is correct\n$afsws\n"
}

my @servers = `$com_dir/fs getserverprefs`;
chomp(@servers);

if ($num > 1) {
  print "\nThere are $num afsd processes running on $mach\n";
} elsif ($num == 1) {
  print "\nThere is just $num afsd processe running on $mach. You may check it!\n"; 
} else {
  print "\nTHERE IS NO AFSD PROCESSES RUNNING ON $mach\n. AFS is DOWN!!!\n";
}
  
$Cell = `diff /afs/rhic/common/etc/CellServDB /usr/vice/etc/CellServDB 2>&1`;

if ($Cell ne "") {
  print "/afs/rhic/common/etc/CellServDB and /usr/vice/etc/CellServDB files are different!\nYou may need to update /usr/vice/etc/CellServDB!\n\n";
} else {
   print "/afs/rhic/common/etc/CellServDB and /usr/vice/etc/CellServDB files are in sync\n\n";
}
my @temp_serv;
my @temp_serv_rev;
for ($i=0;$i<@servers;++$i) {
  @temp_serv = split(/\s+/,$servers[$i]);
  @temp_serv_rev= reverse @temp_serv;
  $servers[$i] = join(" ",@temp_serv_rev);
}
@servers = sort { lc($a) cmp lc($b) } @servers;
#print "@servers\n\n";
my $server;
my $servdb;
my $flag = 0;
my $found = 0;
my @server_list = qw(rafs01 rafs02 rafs03 rafs10 rafs11 rafs12);
my $j;

print "\nThe following local AFS servers are found:\n";
for($i=0; $i<@servers;++$i) {
  @temp1 = split(/\s+/,$servers[$i]);
  for($j=0;$j<@server_list;++$j) {

    if ($temp1[1] =~ /$server_list[$j]/) {
       print "$temp1[1]    Priority number: $temp1[0]\n";
       #$found = 1;
       next;
    }
  }
  #if (!$found) { 
    $flag = 1;
    $servdb = `grep $temp1[1] /usr/vice/etc/CellServDB`;
   # if ($servdb eq "") {
   #   print "$server_list[$j] server is not found in /usr/vice/etc/CellServDB file.
#Please get an updated copy of CellServDB\n"
#    } else {
#      print "$temp1[1] is not set. Please run \'fs newcell\' command for $server_list[$i] server\n";
   # }
#  }  
}

#if (!$flag) {
#  print "AFS servers are set correctly.\n";
#} 
  
my @temp2; 
`/sbin/insmod -V > /tmp/aaa 2>&1`;
open(TEMP,"/tmp/aaa");
@temp2 = <TEMP>;
close(TEMP);
unlink("/tmp/aaa");
chomp(@temp2);
my $insmod = (split(/\s+/,$temp2[0]))[2];

my $ver = (split(/\./,$insmod))[2];
if ($ver >= 121) {
  print "\nCurrent insmod version:   $insmod\n";
  print "This version is recommended by Transarc\n";
} else {
  print "\nCurrent insmod version:   $insmod\n";
  print "This version is old and needs to be updated to insmod version 2.1.121 or newer as recommended by Transarc.\n";
}

my $rc_diff;
my $conf_diff;

if ($UNAME eq "Linux") {

  if ((-e "/usr/vice/etc/afs.rc") && (-e "/etc/rc.d/init.d/afs")) {
    $rc_diff = `diff /usr/vice/etc/afs.rc /etc/rc.d/init.d/afs`;
  
    if ($rc_diff ne "") {
      print "/usr/vice/etc/afs.rc and /etc/rc.d/init.d/afs are not equal\n";
      print "You may check them\n";
    } else {
      print "/usr/vice/etc/afs.rc and /etc/rc.d/init.d/afs are equal\n";
    }
  }

  if ((-e "/usr/vice/etc/afs.conf") && (-e "/etc/sysconfig/afs")) {
    $conf_diff = `diff /usr/vice/etc/afs.conf /etc/sysconfig/afs`;
  
    if ($conf_diff ne "") {
      print "/usr/vice/etc/afs.conf and /etc/sysconfig/afs are not equal\n";
      print "You may check them\n";
    } else {
      print "/usr/vice/etc/afs.conf and /etc/sysconfig/afs are equal\n";
    }
  }
}

@temp2 = `/sbin/lsmod`;
chomp(@temp2);
my $lsmod;
for ($i=0;$i<@temp2;++$i) { 
  if ($temp2[$i] =~ /libafs-/) {
     $lsmod = (split(/\s+/,$temp2[$i]))[0];
     last;
  }
}
my $tmp = `uname -a`;
chomp($tmp);
my @kernel = split(/\s+/,$tmp); 

my $SMP;
print "\n";
if (($lsmod =~ /\.mp/) && ($kernel[4] eq "SMP")) {
  $SMP = "SMP";
} else {
  $smp = "Non-SMP";
}
  
if ($lsmod =~ /$kernel[2]/)  {
  print "AFS module $lsmod matches the system kernel $kernel[2] $SMP\n"; 
} else {
  print "AFS module $lsmod does not match the system kernel $kernel[2]\n";
  print "You may fix it\n";
}

print "\n";


