#+############################################################################
# File:        HEP_csh.login
# Description: Login part of the HEP scripts for the C-shell flavour
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.2 compiled for hp_ux102 on Wed Dec 10 16:40:03 1997
#-############################################################################


if ( ! $?hep_login_csh ) then
   set hep_login_csh = ( "hep_login_csh" ) #-hep_login_csh

   if ( ! $?hep_env_csh )  then
      if ( -r ${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/hep/HEP_csh.cshrc ) then
         source ${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/hep/HEP_csh.cshrc   
      endif
   endif

   /bin/tty -s 
   if ( $status == 0 ) then
      if ( ! $?ENVIRONMENT ) then
         setenv ENVIRONMENT LOGIN
      else
	 if ( ${ENVIRONMENT} != "DMLOGIN" ) then
	    setenv ENVIRONMENT LOGIN
	 endif
     endif
   else
      if ( ! $?ENVIRONMENT ) then
	 setenv ENVIRONMENT BATCH
      endif
   endif


   if ( ${ENVIRONMENT} == "LOGIN" || ${ENVIRONMENT} == "DMLOGIN"   ) then

      #+--------------------------------------------------+
      # TERM, TERMINAL SETUP and DISPLAY                  |
      #---------------------------------------------------+

      # xrlogin: TERM="TERM=.... DISPLAY=.... LINES=.... ..."
      if ( $?TERM ) then
         set e=`/bin/expr "$TERM" : '.*\(TERM=\).*'`
            if ( "$e" != "" && "$e" != 0) then
	       foreach pair ( $TERM )
	          eval setenv `echo $pair | /bin/tr "=" " "`
	       end
	       unset pair
            endif
            unset e
            set term=$TERM
      else 
         setenv TERM vt100
         set term=$TERM
      endif

      #
      # Determine terminal type
      #
      set termold=$term
      switch ($term)
         case '':
         case unknown:
         case arpanet:
         case network:
         case net:
         case dialup:
         case dumb:
         case su:
            set term=vt100
            breaksw
         case xterm*:
         case vt100:
            breaksw
         case ansi:
         case ANSI:
	    set term=xterm
            breaksw
         default
	    if ( -r ${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/site/termset.csh ) then 
	       source ${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/site/termset.csh
	       set term=$TERM
	    endif
            breaksw
      endsw
      if ( $termold != $term ) then
	 echo " TERM $termold changed to $term"
      endif
      unset termold
 
      if ( -f $HOME/.BackSpace ) then
         setenv RUBOUT BackSpace
      else if ( -f $HOME/.Delete ) then
         setenv RUBOUT Delete
      else 
	if ( ! $?RUBOUT ) then
           setenv RUBOUT BackSpace
        endif
      endif

      if ( $RUBOUT == "BackSpace" ) then
         /bin/stty erase '^h' intr '^c' kill '^u'
      else if ( $RUBOUT == "Delete" ) then
         /bin/stty erase '^?' intr '^c' kill '^u'
      endif

      /bin/stty echoe -inlcr -istrip -parity
      /bin/stty -tostop susp '^z'

      #+------------------------------------------------------+
      # LOCAL SCRIPT                                          |
      #-------------------------------------------------------+

      if ( -r ${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/site/login.csh ) then
         source ${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/site/login.csh
      endif
   endif # LOGIN shell
endif #-hep_login_csh

#EOF


