#+############################################################################
# File:        sys.conf.csh
# Description: This file sets the default values for hp_ux102 platform
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.2 compiled for hp_ux102 on Wed Dec 10 17:12:01 1997
#-############################################################################




if ( -r "/etc/src.csh" ) then
   source /etc/src.csh
endif
if ( -r "/etc/PATH" ) then
   setenv SYSPATH `/bin/cat /etc/PATH | sed -e 's#/usr/contrib/bin:##' -e 's#/usr/contrib/bin/X11:##'`
else
   setenv SYSPATH "/bin /usr/bin /usr/ccs/bin /usr/bin/X11"   
endif
if ( -r "/etc/MANPATH" ) then
   setenv SYSMAN `/bin/cat /etc/MANPATH | sed -e 's#/usr/contrib/man:##' -e 's#/usr/contrib/man/%L:##'`
else
   setenv SYSMAN "/usr/share/man" 
endif
if ( -r "/etc/SHLIB_PATH" ) then
   setenv SHLIB_PATH `/bin/cat /etc/SHLIB_PATH | sed -e 's#/usr/contrib/lib:##'`
endif
if ( -r "/etc/TIMEZONE" ) then
    setenv TZ `/bin/cat /etc/TIMEZONE | /bin/sed -e 's/^TZ\=\(.*\)\;.*$/\1/'` 
endif
setenv ROOTPATH "/usr/sbin /usr/bin /usr/ccs/bin /usr/contrib/bin /opt/nettladm/bin /usr/bin/X11 /usr/contrib/bin/X11 /sbin /home/root"
setenv OS HP-UX
setenv BINTYPE HP-UX
setenv SYSTYPE sysV
setenv LOCAL_MAIL "/var/mail/$USER"









setenv X11BIN "/usr/local/bin/X11"
setenv RUBOUT BackSpace
setenv USERPATH "$HOME/bin $HOME/scripts "\\\$GROUPPATH" /usr/sue/bin $SYSPATH /usr/local/bin $X11BIN /cern/pro/bin ."
setenv MANPATH "${HOME}/man:"\\\$GROUPMANPATH":/usr/sue/man:${SYSMAN}:/usr/local/man:/cern/man"
unsetenv SYSPATH
unsetenv X11BIN
unsetenv SYSMAN

set afs = 1
echo $HOME | /bin/grep '^\/afs\/' >> /dev/null
if ( $status == 0 ) then 
   setenv INITIALE `echo $USER | /bin/cut -c1`
   setenv MAIL "/afs/cern.ch/mail/$INITIALE/$USER/spoolfile"
   setenv MAILBOX "/afs/cern.ch/mail/$INITIALE/$USER/spoolfile"
   unsetenv INITIALE
   unsetenv LOCAL_MAIL
else
   set afs = 0
   setenv MAIL $LOCAL_MAIL
endif

setenv YP "NO"
if ( -x "/bin/domainname" ) then
   setenv DOMAINNAME `/bin/domainname`
endif
setenv EDITOR "pico -w"
setenv VISUAL "pico -w"
setenv PAGER less
setenv LESSCHARSET latin1
setenv WWW_HOME "http://www.cern.ch"
setenv NNTPSERVER "news.cern.ch"
setenv MAILSERVER "mail.cern.ch"
setenv MAILAUXSERVER "biff.cern.ch"
setenv PRINT_CMD "xprint"
setenv GROUPPATH __NONE__
setenv GROUPMANPATH __NONE__
setenv GROUP `${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/tools/GroupName`
if ( -r "/afs/rhic/$GROUP/group" ) then
   setenv GROUP_DIR "/afs/rhic/$GROUP/group"
else
   setenv GROUP_DIR "/star/u2d/pub"
endif
setenv INITIALISED "YES"
setenv CLUSTER_DIR "/etc/hepix/cluster"
setenv CERN "/cern"
if ($?CERN_LEVEL == 0) setenv CERN_LEVEL pro
setenv CERN_ROOT "$CERN/$CERN_LEVEL"


# Set System customisations.
#---------------------------
if ( -r /etc/hepix/sys.conf.csh ) then
   source /etc/hepix/sys.conf.csh
endif

# Set Cluster customisations.
#----------------------------
if ( -r /etc/hepix/cluster/sys.conf.csh ) then
   source /etc/hepix/cluster/sys.conf.csh 
endif

# Set Group customisations.
#--------------------------
if ( -r $GROUP_DIR/group_sys.conf.csh ) then
   source $GROUP_DIR/group_sys.conf.csh
endif


