#+##############################################################################
#                                                                              #
# File: get_keyboard.awk                                                       #
#                                                                              #
# Description: awk script to extract the keyboard name from xkeyboard files    #
#                                                                              #
#-##############################################################################

# %W% %G% Written by Lionel.Cons@cern.ch

BEGIN {
  # split on spaces and |
  FS = "[ \t\|]+";
  # find a field equal to $HX_SERVER_HOST
  target = tolower(ENVIRON["HX_SERVER_HOST"]);
}

# skip comments
/^#/ { next }

# check first fields, return last one if matches
NF > 1 {
  for (i=1; i<NF; i++)
    if (tolower($i) == target) {
      printf "%s\n", $NF;
      exit;
    }
}
