#+############################################################################
# File:        aliases.sh
# Description: This file can be used for local Bourne shell aliases
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.2 compiled for i386_linux2 on Wed Dec 10 17:12:05 1997
#-############################################################################

# Set some functions
#-------------------
h()
{
   history
}

l()
{
   /bin/ls -lt "${*}"
}

lf()
{
   /bin/ls -CF "${*}"
}

terminal()
{
   TERM=`/usr/bin/tset - "${*}"`; export TERM
}


# Set System customisations.
#---------------------------
if [ -r /etc/hepix/aliases.sh ]; then
   . /etc/hepix/aliases.sh
fi

# Set Cluster customisations.
#----------------------------
if [ -r /etc/hepix/cluster/aliases.sh ]; then
   . /etc/hepix/cluster/aliases.sh
fi

# Set Group customisations.
#--------------------------
if [ -r $GROUP_DIR/group_aliases.sh ]; then
   . $GROUP_DIR/group_aliases.sh
fi

