#+############################################################################
# File:        sys.conf.csh
# Description: This file sets the default values for i386_redhat51 platform
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.4 compiled for i386_redhat51 on Mon Nov 29 22:26:37 1999
#-############################################################################












setenv OS Linux
setenv BINTYPE Linux
setenv SYSTYPE sysV
setenv SYSPATH "/usr/bin /bin /usr/bin/X11"
if ( -r "/etc/man.config" ) then
   setenv SYSMAN `/bin/awk 'BEGIN{fi=1}/^MANPATH[\t ]/{if(fi==1){printf("%s",$2);fi=0}else{printf(":%s",$2)}}END{printf"\n"}' /etc/man.config`
else
   setenv SYSMAN "/usr/man"
endif
setenv ROOTPATH "${GROUP_DIR}/${STAR_SYS}/usr.local/bin /usr/bin /bin /usr/bin/X11"
setenv XFILESEARCHPATH "/usr/lib/X11/app-defaults/%N:${GROUP_DIR}/${STAR_SYS}/usr.local/lib/X11/app-defaults/%N"

setenv X11BIN "${GROUP_DIR}/${STAR_SYS}/usr.local/bin/X11"
setenv RUBOUT BackSpace
setenv USERPATH "$HOME/bin $HOME/scripts "\\\$GROUPPATH" /usr/sue/bin $SYSPATH ${GROUP_DIR}/${STAR_SYS}/usr.local/bin $X11BIN /cern/pro/bin ."
setenv MANPATH "${HOME}/man:"\\\$GROUPMANPATH":/usr/sue/man:${SYSMAN}:${GROUP_DIR}/${STAR_SYS}/usr.local/man:/cern/man"
unsetenv SYSPATH
unsetenv X11BIN
unsetenv SYSMAN

setenv YP "NO"
if ( -x "/bin/domainname" ) then
   setenv DOMAINNAME `/bin/domainname`
endif
setenv EDITOR "pico -w"
setenv VISUAL "pico -w"
setenv PAGER less
setenv LESSCHARSET latin1
setenv WWW_HOME "http://www.rhic.bnl.gov"
setenv NNTPSERVER "news.rhic.bnl.gov"
setenv PRINT_CMD "xprint"
setenv GROUPPATH __NONE__
setenv GROUPMANPATH __NONE__
setenv GROUP `${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/tools/GroupName`
echo $HOME | /bin/grep '^\/afs\/' >> /dev/null
if ( $status == 0 ) then 
   setenv GROUP_DIR "/afs/rhic/$GROUP/group"
else
   setenv GROUP_DIR "/afs/rhic/$GROUP/group"
endif
setenv INITIALISED "YES"
setenv CLUSTER_DIR "/etc/hepix/cluster"
setenv CERN "/cern"
if ($?CERN_LEVEL == 0) setenv CERN_LEVEL pro
setenv CERN_ROOT "$CERN/$CERN_LEVEL"
setenv INITIALE `echo $USER | /usr/bin/cut -c1`
setenv HPSS_HOME "/hpss/rhic.bnl.gov/user/$INITIALE/$USER"
setenv HSM_HOME "/hpss/rhic.bnl.gov/user/$INITIALE/$USER"
unsetenv INITIALE

${GROUP_DIR}/${STAR_SYS}/usr.local/bin/mailreg -env tcsh > /tmp/env$$
source /tmp/env$$ 
rm /tmp/env$$

# Set System customisations.
#---------------------------
if ( -r /etc/hepix/sys.conf.csh ) then
   source /etc/hepix/sys.conf.csh
endif

# Set Cluster customisations.
#----------------------------
if ( -r /etc/hepix/cluster/sys.conf.csh ) then
   source /etc/hepix/cluster/sys.conf.csh 
endif

# Set Group customisations.
#--------------------------
if ( -r $GROUP_DIR/group_sys.conf.csh ) then
   source $GROUP_DIR/group_sys.conf.csh
endif


