#+############################################################################
# File:        sys.conf.sh
# Description: This file sets the default values for i386_redhat51 platform
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.4 compiled for i386_redhat51 on Mon Nov 29 22:26:38 1999
#-############################################################################












OS="Linux"; export OS
BINTYPE="Linux"; export BINTYPE
SYSTYPE="sysV"; export SYSTYPE
SYSPATH="/usr/bin /bin /usr/bin/X11"; export SYSPATH
if [ -r "/etc/man.config" ]; then
   SYSMAN=`/bin/awk 'BEGIN{fi=1}/^MANPATH[\t ]/{if(fi==1){printf("%s",$2);fi=0}else{printf(":%s",$2)}}END{printf"\n"}' /etc/man.config`; export SYSMAN
else
   SYSMAN="/usr/man"; export SYSMAN
fi
ROOTPATH="${GROUP_DIR}/${STAR_SYS}/usr.local/bin /usr/bin /bin /usr/bin/X11"; export ROOTPATH
XFILESEARCHPATH="/usr/lib/X11/app-defaults/%N:${GROUP_DIR}/${STAR_SYS}/usr.local/lib/X11/app-defaults/%N"; export XFILESEARCHPATH

X11BIN="${GROUP_DIR}/${STAR_SYS}/usr.local/bin/X11"; export X11BIN
RUBOUT="BackSpace"; export RUBOUT
USERPATH="$HOME/bin $HOME/scripts "\\\$GROUPPATH" /usr/sue/bin $SYSPATH ${GROUP_DIR}/${STAR_SYS}/usr.local/bin $X11BIN /cern/pro/bin ."; export USERPATH
MANPATH="${HOME}/man:"\\\$GROUPMANPATH":/usr/sue/man:${SYSMAN}:${GROUP_DIR}/${STAR_SYS}/usr.local/man:/cern/man"; export MANPATH
unset SYSPATH
unset X11BIN
unset SYSMAN

YP="NO"; export YP
if [ -x "/bin/domainname" ]; then
   DOMAINNAME=`/bin/domainname`; export DOMAINNAME
fi
EDITOR="pico -w"; export EDITOR
VISUAL="pico -w"; export VISUAL
PAGER="less"; export PAGER
LESSCHARSET="latin1"; export LESSCHARSET
WWW_HOME="http://www.rhic.bnl.gov"; export WWW_HOME
NNTPSERVER="news.rhic.bnl.gov"; export NNTPSERVER
PRINT_CMD="xprint"; export PRINT_CMD
GROUPPATH="__NONE__"; export GROUPPATH
GROUPMANPATH="__NONE__"; export GROUPMANPATH
GROUP=`${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/tools/GroupName`; export GROUP
echo $HOME | /bin/grep '^\/afs\/' >> /dev/null
if [ "$?" = "0" ]; then 
   GROUP_DIR="/afs/rhic/$GROUP/group"; export GROUP_DIR
else
   GROUP_DIR="/afs/rhic/$GROUP/group"; export GROUP_DIR
fi
INITIALISED="YES"; export INITIALISED
CLUSTER_DIR="/etc/hepix/cluster"; export CLUSTER_DIR
CERN="/cern"; export CERN
CERN_LEVEL="pro"; export CERN_LEVEL
CERN_ROOT="$CERN/$CERN_LEVEL"; export CERN_ROOT
INITIALE=`echo $USER | /usr/bin/cut -c1`; export INITIALE
HPSS_HOME="/hpss/rhic.bnl.gov/user/$INITIALE/$USER"; export HPSS_HOME
HSM_HOME="/hpss/rhic.bnl.gov/user/$INITIALE/$USER"; export HSM_HOME
unset INITIALE

${GROUP_DIR}/${STAR_SYS}/usr.local/bin/mailreg -env zsh > /tmp/env$$
. /tmp/env$$
rm /tmp/env$$

# Set System customisations.
#---------------------------
if [ -r "/etc/hepix/sys.conf.sh" ]; then
   . /etc/hepix/sys.conf.sh
fi

# Set Cluster customisations.
#----------------------------
if [ -r "/etc/hepix/cluster/sys.conf.sh" ]; then
   . /etc/hepix/cluster/sys.conf.sh
fi

# Set Group customisations.
#--------------------------
if [ -r "$GROUP_DIR/group_sys.conf.sh" ]; then
   . $GROUP_DIR/group_sys.conf.sh
fi


