#+############################################################################
# File:        termset.sh
# Description: This file checks the term variable for a nice value and otherwise sets it to a new one.
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.4 compiled for i386_redhat51 on Sun Nov 14 22:20:06 1999
#-############################################################################

# including Linux
terminfo_path="/usr/lib/terminfo"

TTYPE=`echo $TERM | /usr/bin/cut -c1`
if [ ! -r $terminfo_path/$TTYPE/$TERM ]; then
   BTERM=`echo $TERM | /usr/bin/cut -c1-5`
   if [ -r $terminfo_path/$TTYPE/$BTERM ]; then
      TERM=$BTERM
   else
      BTERM=`/usr/bin/expr "$TERM" : '^\([a-z0-9]*\).*'`
      if [ -r $terminfo_path/$TTYPE/$BTERM ]; then
         TERM=$BTERM
      else
         if [ -r /etc/termcap ]; then
            BTERM=` /bin/grep '^[A-z]' /etc/termcap | /bin/grep $TERM >/dev/null` 
            if [ $? -eq 0 ]; then
               BTERM="OK"
            fi
         fi
         if [ "$BTERM" != "OK" ]; then
            BTERM=`echo $TERM | /usr/bin/cut -c1-3`
                  TERM=vt100
         fi
      fi
   fi
fi
unset TTYPE BTERM

export TERM

# Set System customisations.
#---------------------------
if [ -r /etc/hepix/termset.sh ]; then
   . /etc/hepix/termset.sh
fi

# Set Cluster customisations.
#----------------------------
if [ -r /etc/hepix/cluster/termset.sh ]; then
   . /etc/hepix/cluster/termset.sh
fi

# Set Group customisations.
#--------------------------
if [ -r $GROUP_DIR/group_termset.sh ]; then
   . $GROUP_DIR/group_termset.sh
fi

