#+############################################################################
# File:        env.csh
# Description: This file can be used for site environment adaptations
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.2 compiled for sgi_53 on Wed Dec 10 17:12:32 1997
#-############################################################################

# Set the YP variable.
#---------------------
if ( $?DOMAINNAME ) then
   if ( $DOMAINNAME != "" ) then
      setenv YP YES
   endif
endif
unsetenv DOMAINNAME

# Set umask: new files and directories with mask 644
#---------------------------------------------------
umask 022

# Set System customisations.
#---------------------------
if ( -r /etc/hepix/env.csh ) then
   source /etc/hepix/env.csh
endif

# Set Cluster customisations.
#----------------------------
if ( -r /etc/hepix/cluster/env.csh ) then
   source /etc/hepix/cluster/env.csh
endif

# Set group customisations.
#--------------------------
if ( -r $GROUP_DIR/group_env.csh ) then
   source $GROUP_DIR/group_env.csh
endif



# Eval the path.
#---------------
set path = ( `eval echo $path` )
if ( "$GROUPPATH" == "__NONE__" ) then
   set lpath = ( `echo $path | /bin/sed 's/\$GROUPPATH//'` )
   set path = ( `eval echo $lpath` )
   unset lpath
endif
set path = ( `eval echo $path` )
unsetenv GROUPPATH


# Eval the MANPATH
#------------------
# The evaluation can be done in the following way:
# We are sure that GROUPMANPATH is defined, therefore:
if ( "$GROUPMANPATH" == "__NONE__" ) then
   setenv MANPATH `echo ${MANPATH} | /bin/sed 's/\\\$GROUPMANPATH\://'`
else
   setenv group_man_eval `echo $GROUPMANPATH | /bin/sed -e 's/\//\\\//g'`
   setenv a \$GROUPMANPATH
   setenv MANPATH `echo ${MANPATH} | /bin/sed -e "s/\\$a/$group_man_eval/"`
   unsetenv group_man_eval
   unsetenv a
endif
unsetenv GROUPMANPATH




