#+############################################################################
# File:        login.csh
# Description: This file can be used for site login adaptations. It is used by the C-shells.
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.2 compiled for sgi_53 on Wed Dec 10 17:12:33 1997
#-############################################################################

# To check if the user group is recorded into /etc/group
#-------------------------------------------------------
if ( "$GROUP" == "__NONE__" ) then 
   echo " "
   echo "Warning: The HEPiX scripts have been unable to calculate your group name."
   echo "         Send a mail to Setup Support <Setup.Support@cern.ch>"
endif

# To meet legal requirements.
#----------------------------
if ( -r /etc/copyright ) then
   /bin/cat /etc/copyright
endif

# The HEP motd
#-------------
if ( -r /etc/hepix/motd ) then
  /bin/cat /etc/hepix/motd
endif

# Check for password expiration.
#-------------------------------
if ( $?PASSWORD_EXPIRES ) then
   if ( $PASSWORD_EXPIRES != "" ) then
     if ( $PASSWORD_EXPIRES <= 7 ) then
         echo "Warning: your password will expire in $PASSWORD_EXPIRES days"
     endif
   endif
endif

# Check the quotas.
#------------------
${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/tools/quota-warn -s 500

# Run uco-newuser if you find a .uco-newuser.init file
#-------------------------------------------
if ( -r "$HOME/.uco-newuser.init" ) then
   echo "Your AFS Home Directory is being initialised, please wait."
   /usr/local/lib/uco/uco-newuser >> $HOME/.uco-newuser.init
   /bin/mv $HOME/.uco-newuser.init $HOME/.uco-newuser.log
endif

# Set System customisations.
#---------------------------
if ( -r /etc/hepix/login.csh ) then
   source /etc/hepix/login.csh
endif

# Set Cluster customisations.
#----------------------------
if ( -r /etc/hepix/cluster/login.csh ) then
   source /etc/hepix/cluster/login.csh
endif

# Set group customisations.
#--------------------------
if ( -r $GROUP_DIR/group_login.csh ) then
   source $GROUP_DIR/group_login.csh
endif

