#+############################################################################
# File:        sys.conf.csh
# Description: This file sets the default values for sgi_53 platform
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.2 compiled for sgi_53 on Wed Dec 10 17:12:34 1997
#-############################################################################





setenv OS IRIX
setenv BINTYPE IRIX_mips2
setenv SYSTYPE sysV
setenv SYSPATH "/usr/bin /usr/bin/X11 /sbin /usr/sbin /usr/bsd"
setenv SYSMAN "/usr/man:/usr/share/catman:/usr/catman"
setenv ROOTPATH "/sbin /usr/sbin /usr/bsd /usr/bin /etc /usr/lib /usr/etc /usr/bin/X11"
setenv TMPDIR "/var/tmp"
setenv LD_LIBRARY_PATH "/lib:/usr/lib:/usr/local/lib:/cern/pro/lib/shared"
setenv MAJORVER `/bin/uname -r | /bin/cut -f1 -d.`
if ( $MAJORVER >= 6 ) then
  setenv LD_LIBRARY64_PATH "/lib64:/usr/lib64"
  setenv LD_LIBRARYN32_PATH "/lib32:/usr/lib32"
endif
unsetenv MAJORVER
setenv _RLD_ARGS "-ignore_unresolved"
setenv MSGVERB "text:action"
setenv NOMSGLABEL 1
setenv NOMSGSEVERITY 1
setenv XFILESEARCHPATH "/usr/lib/X11/app-defaults/%N:/usr/local/lib/X11/app-defaults/%N"
setenv LOCAL_MAIL "/var/mail/$USER"








setenv X11BIN "/usr/local/bin/X11"
setenv RUBOUT BackSpace
setenv USERPATH "$HOME/bin $HOME/scripts "\\\$GROUPPATH" /usr/sue/bin $SYSPATH /usr/local/bin $X11BIN /cern/pro/bin ."
setenv MANPATH "${HOME}/man:"\\\$GROUPMANPATH":/usr/sue/man:${SYSMAN}:/usr/local/man:/cern/man"
unsetenv SYSPATH
unsetenv X11BIN
unsetenv SYSMAN

set afs = 1
echo $HOME | /bin/grep '^\/afs\/' >> /dev/null
if ( $status == 0 ) then 
   setenv INITIALE `echo $USER | /bin/cut -c1`
   setenv MAIL "/afs/cern.ch/mail/$INITIALE/$USER/spoolfile"
   setenv MAILBOX "/afs/cern.ch/mail/$INITIALE/$USER/spoolfile"
   unsetenv INITIALE
   unsetenv LOCAL_MAIL
else
   set afs = 0
   setenv MAIL $LOCAL_MAIL
endif

setenv YP "NO"
if ( -x "/bin/domainname" ) then
   setenv DOMAINNAME `/bin/domainname`
endif
setenv EDITOR "pico -w"
setenv VISUAL "pico -w"
setenv PAGER less
setenv LESSCHARSET latin1
setenv WWW_HOME "http://www.cern.ch"
setenv NNTPSERVER "news.cern.ch"
setenv MAILSERVER "mail.cern.ch"
setenv MAILAUXSERVER "biff.cern.ch"
setenv PRINT_CMD "xprint"
setenv GROUPPATH __NONE__
setenv GROUPMANPATH __NONE__
setenv GROUP `${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/tools/GroupName`
if ( -r "/afs/rhic/$GROUP/group" ) then
   setenv GROUP_DIR "/afs/rhic/$GROUP/group"
else
   setenv GROUP_DIR "/star/u2d/pub"
endif
setenv INITIALISED "YES"
setenv CLUSTER_DIR "/etc/hepix/cluster"
setenv CERN "/cern"
if ($?CERN_LEVEL == 0) setenv CERN_LEVEL pro
setenv CERN_ROOT "$CERN/$CERN_LEVEL"


# Set System customisations.
#---------------------------
if ( -r /etc/hepix/sys.conf.csh ) then
   source /etc/hepix/sys.conf.csh
endif

# Set Cluster customisations.
#----------------------------
if ( -r /etc/hepix/cluster/sys.conf.csh ) then
   source /etc/hepix/cluster/sys.conf.csh 
endif

# Set Group customisations.
#--------------------------
if ( -r $GROUP_DIR/group_sys.conf.csh ) then
   source $GROUP_DIR/group_sys.conf.csh
endif


