#+############################################################################
# File:        sys.conf.sh
# Description: This file sets the default values for sun4x_55 platform
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.2 compiled for sun4x_55 on Wed Dec 10 17:12:54 1997
#-############################################################################







OS="Solaris"; export OS
BINTYPE="Solaris"; export BINTYPE
MINORVER=`/bin/uname -r | /bin/cut -f2 -d.`; export MINORVER
if [ "$MINORVER" -ge "4" ]; then
   # Solaris 2.4 or greater
   OPENWINHOME="/usr/openwin"; export OPENWINHOME
   MOTIFHOME="/usr/dt"; export MOTIFHOME
   X11HOME="$OPENWINHOME"; export X11HOME
   SYSTYPE="sysV"; export SYSTYPE
   SYSPATH="/usr/sbin /opt/SUNWspro/bin /usr/ccs/bin /usr/bin /usr/openwin/bin /usr/dt/bin /usr/ucb"; export SYSPATH
   SYSMAN="/opt/SUNWspro/man:/usr/man:/usr/openwin/man:/usr/dt/man"; export SYSMAN
   ROOTPATH="/bin /usr/bin /usr/ucb /etc /usr/etc /usr/openwin/bin"; export ROOTPATH
   LD_LIBRARY_PATH="/opt/SUNWspro/lib:/usr/openwin/lib:/usr/dt/lib:/usr/local/lib"; export LD_LIBRARY_PATH
   XFILESEARCHPATH="/usr/openwin/lib/%T/%N%S:/usr/local/lib/X11/%T/%N%S"; export XFILESEARCHPATH
   LOCAL_MAIL="/var/mail/$USER"; export LOCAL_MAIL
else
   OPENWINHOME="/usr/openwin"; export OPENWINHOME
   MOTIFHOME="/usr/motif12"; export MOTIFHOME
   X11HOME="$OPENWINHOME"; export X11HOME
   MYCHOICE="newsmotif12"; export MYCHOICE
   SYSTYPE="sysV"; export SYSTYPE
   SYSPATH="/usr/sbin /opt/SUNWspro/bin /usr/ccs/bin /usr/bin /usr/openwin/bin /usr/motif12/usr/bin/X11 /usr/ucb"; export SYSPATH
   SYSMAN="/opt/SUNWspro/man:/usr/man:/usr/openwin/man:/usr/motif12/usr/man"; export SYSMAN
   ROOTPATH="/bin /usr/bin /usr/ucb /etc /usr/etc /usr/openwin/bin"; export ROOTPATH
   LD_LIBRARY_PATH="/opt/SUNWspro/lib:/usr/openwin/lib:/usr/motif12/usr/lib:/usr/local/lib"; export LD_LIBRARY_PATH
   XFILESEARCHPATH="/usr/openwin/lib/%T/%N%S:/usr/local/lib/X11/%T/%N%S"; export XFILESEARCHPATH
   LOCAL_MAIL="/var/mail/$USER"; export LOCAL_MAIL
fi
unset MINORVER






X11BIN="/usr/local/bin/X11"; export X11BIN
RUBOUT="BackSpace"; export RUBOUT
USERPATH="$HOME/bin $HOME/scripts "\\\$GROUPPATH" /usr/sue/bin $SYSPATH /usr/local/bin $X11BIN /cern/pro/bin ."; export USERPATH
MANPATH="${HOME}/man:"\\\$GROUPMANPATH":/usr/sue/man:${SYSMAN}:/usr/local/man:/cern/man"; export MANPATH
unset SYSPATH
unset X11BIN
unset SYSMAN

afs="1"
echo $HOME | /bin/grep '^\/afs\/' >> /dev/null
if [ "$?" = "0" ]; then 
   INITIALE=`echo $USER | /bin/cut -c1`; export INITIALE
   MAIL="/afs/cern.ch/mail/$INITIALE/$USER/spoolfile"; export MAIL
   MAILBOX="/afs/cern.ch/mail/$INITIALE/$USER/spoolfile"; export MAILBOX
   unset INITIALE
   unset LOCAL_MAIL
else
   afs="0"
   MAIL="$LOCAL_MAIL"; export MAIL
fi

YP="NO"; export YP
if [ -x "/bin/domainname" ]; then
   DOMAINNAME=`/bin/domainname`; export DOMAINNAME
fi
EDITOR="pico -w"; export EDITOR
VISUAL="pico -w"; export VISUAL
PAGER="less"; export PAGER
LESSCHARSET="latin1"; export LESSCHARSET
WWW_HOME="http://www.cern.ch"; export WWW_HOME
NNTPSERVER="news.cern.ch"; export NNTPSERVER
MAILSERVER="mail.cern.ch"; export MAILSERVER
MAILAUXSERVER="biff.cern.ch"; export MAILAUXSERVER
PRINT_CMD="xprint"; export PRINT_CMD
GROUPPATH="__NONE__"; export GROUPPATH
GROUPMANPATH="__NONE__"; export GROUPMANPATH
GROUP=`${GROUP_DIR}/${STAR_SYS}/usr.local/lib/hepix/shells/tools/GroupName`; export GROUP
if [ -r "/afs/rhic/$GROUP/group" ]; then
   GROUP_DIR="/afs/rhic/$GROUP/group"; export GROUP_DIR
else
   GROUP_DIR="/star/u2d/pub"; export GROUP_DIR
fi
INITIALISED="YES"; export INITIALISED
CLUSTER_DIR="/etc/hepix/cluster"; export CLUSTER_DIR
CERN="/cern"; export CERN
CERN_LEVEL="pro"; export CERN_LEVEL
CERN_ROOT="$CERN/$CERN_LEVEL"; export CERN_ROOT


# Set System customisations.
#---------------------------
if [ -r "/etc/hepix/sys.conf.sh" ]; then
   . /etc/hepix/sys.conf.sh
fi

# Set Cluster customisations.
#----------------------------
if [ -r "/etc/hepix/cluster/sys.conf.sh" ]; then
   . /etc/hepix/cluster/sys.conf.sh
fi

# Set Group customisations.
#--------------------------
if [ -r "$GROUP_DIR/group_sys.conf.sh" ]; then
   . $GROUP_DIR/group_sys.conf.sh
fi


