#+############################################################################
# File:        termset.csh
# Description: This file checks the term variable for a nice value and otherwise sets it to a new one.
#-----------------------------------------------------------------------------
# Authors:     A. Taddei (CERN/IT/DIS) - DESY/DUX
# Contact:     hepix-scripts-wg@hepnrc.hep.net
# Version:     3.2 compiled for sun4x_55 on Wed Dec 10 17:12:52 1997
#-############################################################################

set terminfo_path =(/usr/share/lib/terminfo)


set ttype=`echo $term | /bin/cut -c1`
if ( ! -r $terminfo_path/$ttype/$term ) then
   set bterm=`echo $term | /bin/cut -c1-5`
   if ( -r $terminfo_path/$ttype/$bterm ) then
      set term=$bterm
   else
      set bterm=`/bin/expr "$term" : '^\([a-z0-9]*\).*'`
      if ( -r $terminfo_path/$ttype/$bterm ) then
         set term=$bterm
      else
         if ( -r /etc/termcap ) then
            /bin/grep '^[A-z]' /etc/termcap | /bin/grep $term >/dev/null
            if ( $status != 0 ) then
               set bterm=`echo $term | /bin/cut -c1-3`
                     set term=vt100
            endif
         endif
      endif
   endif
endif
unset bterm ttype

# Set System customisations.
#---------------------------
if ( -r /etc/hepix/termset.csh ) then
   source /etc/hepix/termset.csh
endif

# Set Cluster customisations.
#----------------------------
if ( -r /etc/hepix/cluster/termset.csh ) then
   source /etc/hepix/cluster/termset.csh
endif

# Set group customisations.
#--------------------------
if ( -r $GROUP_DIR/group_termset.csh ) then
   source $GROUP_DIR/group_termset.csh
endif

